onEvent('recipes', (event) => {
    event.remove({output: 'mininggadgets:mininggadget_fancy'})
    event.remove({output: 'mininggadgets:mininggadget'})
    event.shaped('mininggadgets:mininggadget_fancy', ['ABB', 'ACD', 'AEE'], {
        A: 'minecraft:redstone',
        B: 'minecraft:diamond',
        C: Item.of('mininggadgets:mininggadget_simple'),
        D: 'minecraft:gold_ingot',
        E: 'minecraft:iron_ingot'
    }).id('kubejs:mininggadgets/mininggadget_fancy')

    event.shaped('mininggadgets:mininggadget', ['ABB', 'CDE', 'AFF'], {
        A: 'minecraft:gold_ingot',
        B: 'minecraft:iron_ingot',
        C: 'minecraft:netherite_ingot',
        D: Item.of('mininggadgets:mininggadget_fancy'),
        E: 'minecraft:diamond',
        F: 'minecraft:redstone'
    }).id('kubejs:mininggadgets/mininggadget')
})